package grafos;


//import de packages necessarias
import java.awt.*;
import java.util.*;

public class No {

    protected int m_idNo = 0;
    protected String m_dadosNo;
    protected Color m_corNo;
    protected int m_x = 0;
    protected int m_y = 0;
    public Vector m_listaRamos = new Vector();
    public Grafo m_pertenceGrafo;

//Construtor
    public No(int id, String dados, Color cor, int x, int y, Grafo g) {
    	m_idNo = id;
    	m_dadosNo = dados;
    	m_corNo = cor;
    	m_x = x;
    	m_y = y;
    	m_pertenceGrafo = g;
    }

// obtem a id de um no
    public int getIdNo() {
    return m_idNo;
    }

// obtem os dados gravados no no'
    public String getDadosNo() {
    return m_dadosNo;
    }

//obtem a cor do no'
    public Color getCorNo() {
    return m_corNo;
    }

//obtem coordenada X do no'
    public int getX() {
    return m_x;
    }

//obtem coordenada Y do no'
    public int getY() {
    return m_y;
    }

//Muda/grava os dados de um no'
    public void changeDadosNo(String novosDados) {
        m_dadosNo=novosDados;
    return;
    }

// desenha o no'
    public void desenharNo(Graphics grafico) {
      int eixo_x = 10;
      int eixo_y = 10;
      grafico.setColor(m_corNo);
      grafico.fillOval(m_x, m_y, eixo_x, eixo_y);
      grafico.drawString(String.valueOf(m_idNo),m_x - 2, m_y - 2);
    }

//move o no'
    public void moverNo(int x, int y, Graphics grafico){
        Grafo g=null;
        m_x = x;
        m_y = y;
        g=m_pertenceGrafo;
        g.desenharGrafo(grafico);
    return;
    }

}
