package grafos;

import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


public class InsGrafoDialog extends JDialog {

  Grafo grafo;
  int id_grafo;

  MainApp p;
  static int CANCEL_OPTION = 0;
  static int APPROVE_OPTION = 1;
  int operation;

  JButton jButtonOK = new JButton();
  JLabel jLLargura = new JLabel();
  JTextField jTextField1 = new JTextField();
  JLabel jLAltura = new JLabel();
  JTextField jTextField2 = new JTextField();
  FlowLayout flowLayout1 = new FlowLayout();
  JButton jButtonCancel = new JButton();

  public InsGrafoDialog(MainApp parent, int id) {
    super((JFrame)parent, "Insira um novo Grafo", true);
    p = parent;
    id_grafo = id;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().setLayout(flowLayout1);
    jLLargura.setPreferredSize(new Dimension(70, 17));
    jLLargura.setText("Largura:");
    jTextField1.setPreferredSize(new Dimension(300, 21));
    jTextField1.setText("100");
    jLAltura.setPreferredSize(new Dimension(70, 17));
    jLAltura.setText("Altura:");
    jTextField2.setPreferredSize(new Dimension(300, 21));
    jTextField2.setText("100");

    jButtonOK.setText("OK");
    jButtonOK.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        jButtonOK_mouseClicked(e);
      }
    });
    jButtonCancel.setText("Cancel");
    jButtonCancel.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        jButtonCancel_mouseClicked(e);
      }
    });
    this.getContentPane().add(jLLargura, null);
    this.getContentPane().add(jTextField1, null);
    this.getContentPane().add(jLAltura, null);
    this.getContentPane().add(jTextField2, null);
    this.getContentPane().add(jButtonOK, null);
    this.getContentPane().add(jButtonCancel, null);
    setSize(390,200);
  }

  public int showDialog()
  {
    show();
    return operation;
  }

  public Grafo getGrafo()
  {
    return grafo;
  }

  void jButtonOK_mouseClicked(MouseEvent e) {
     int l = Integer.parseInt(jTextField1.getText());
     int a = Integer.parseInt(jTextField2.getText());
     grafo = new Grafo(p, id_grafo, l, a);
     operation = this.APPROVE_OPTION;
     dispose(); // Closes the dialog
  }

  void jButtonCancel_mouseClicked(MouseEvent e) {
     operation = this.CANCEL_OPTION;
     dispose(); // Closes the dialog
  }


}





