package grafos;

import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


public class InsNoDialog extends JDialog {

  Grafo grafo;
  int curr_grafo;

  MainApp p;
  static int CANCEL_OPTION = 0;
  static int APPROVE_OPTION = 1;
  int operation;

  JButton jButtonOK = new JButton();
  JLabel jLX = new JLabel();
  JTextField jTextField1 = new JTextField();
  JLabel jLY = new JLabel();
  JTextField jTextField2 = new JTextField();
  JLabel jLDados = new JLabel();
  JTextField jTextField3 = new JTextField();
  FlowLayout flowLayout1 = new FlowLayout();
  JButton jButtonCancel = new JButton();

  public InsNoDialog(MainApp parent, int cg) {
    super((JFrame)parent, "Insira um novo No no Grafo", true);
    p = parent;
    curr_grafo = cg;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().setLayout(flowLayout1);
    jLX.setPreferredSize(new Dimension(70, 17));
    jLX.setText("Posio X:");
    jTextField1.setPreferredSize(new Dimension(300, 21));
    jTextField1.setText("100");
    jLY.setPreferredSize(new Dimension(70, 17));
    jLY.setText("Posio Y:");
    jTextField2.setPreferredSize(new Dimension(300, 21));
    jTextField2.setText("100");
    jLDados.setPreferredSize(new Dimension(70, 17));
    jLDados.setText("Dados do N:");
    jTextField3.setPreferredSize(new Dimension(300, 21));
    jTextField3.setText("Info. do N");

    jButtonOK.setText("OK");
    jButtonOK.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        jButtonOK_mouseClicked(e);
      }
    });
    jButtonCancel.setText("Cancel");
    jButtonCancel.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        jButtonCancel_mouseClicked(e);
      }
    });
    this.getContentPane().add(jLX, null);
    this.getContentPane().add(jTextField1, null);
    this.getContentPane().add(jLY, null);
    this.getContentPane().add(jTextField2, null);
    this.getContentPane().add(jLDados, null);
    this.getContentPane().add(jTextField3, null);
    this.getContentPane().add(jButtonOK, null);
    this.getContentPane().add(jButtonCancel, null);
    setSize(390,200);
  }

  public int showDialog()
  {
    show();
    return operation;
  }

  public Grafo getGrafo()
  {
    return grafo;
  }

  void jButtonOK_mouseClicked(MouseEvent e) {
     int x = Integer.parseInt(jTextField1.getText());
     int y = Integer.parseInt(jTextField2.getText());
     String dados = jTextField3.getText();
     grafo =  (Grafo) p.m_grafo.get(curr_grafo);
     grafo.inserirNo(grafo.m_listaNos.size() , dados, Color.black, x, y);
     operation = this.APPROVE_OPTION;
     dispose(); // Closes the dialog
  }

  void jButtonCancel_mouseClicked(MouseEvent e) {
     operation = this.CANCEL_OPTION;
     dispose(); // Closes the dialog
  }


}





