package grafos;

import java.util.Vector;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


public class InsRamoDialog extends JDialog {

  Grafo grafo;
  int curr_grafo;

  MainApp p;
  static int CANCEL_OPTION = 0;
  static int APPROVE_OPTION = 1;
  int operation;

  JButton jButtonOK = new JButton();
  JLabel jLNo1 = new JLabel();
  JTextField jTextField1 = new JTextField();
  JLabel jLNo2 = new JLabel();
  JTextField jTextField2 = new JTextField();
  JLabel jLPeso = new JLabel();
  JTextField jTextField3 = new JTextField();
  FlowLayout flowLayout1 = new FlowLayout();
  JButton jButtonCancel = new JButton();

  public InsRamoDialog(MainApp parent, int cg) {
    super((JFrame)parent, "Insira um novo Ramo no Grafo", true);
    p = parent;
    curr_grafo = cg;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().setLayout(flowLayout1);
    jLNo1.setPreferredSize(new Dimension(70, 17));
    jLNo1.setText("No 1:");
    jTextField1.setPreferredSize(new Dimension(300, 21));
    jTextField1.setText("1");
    jLNo2.setPreferredSize(new Dimension(70, 17));
    jLNo2.setText("No 2:");
    jTextField2.setPreferredSize(new Dimension(300, 21));
    jTextField2.setText("2");
    jLPeso.setPreferredSize(new Dimension(70, 17));
    jLPeso.setText("Peso do Ramo:");
    jTextField3.setPreferredSize(new Dimension(300, 21));
    jTextField3.setText("1");

    jButtonOK.setText("OK");
    jButtonOK.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        jButtonOK_mouseClicked(e);
      }
    });
    jButtonCancel.setText("Cancel");
    jButtonCancel.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        jButtonCancel_mouseClicked(e);
      }
    });
    this.getContentPane().add(jLNo1, null);
    this.getContentPane().add(jTextField1, null);
    this.getContentPane().add(jLNo2, null);
    this.getContentPane().add(jTextField2, null);
    this.getContentPane().add(jLPeso, null);
    this.getContentPane().add(jTextField3, null);
    this.getContentPane().add(jButtonOK, null);
    this.getContentPane().add(jButtonCancel, null);
    setSize(390,200);
  }

  public int showDialog()
  {
    show();
    return operation;
  }

  public Grafo getGrafo()
  {
    return grafo;
  }


  void jButtonOK_mouseClicked(MouseEvent e) {
     int no1 = Integer.parseInt(jTextField1.getText());
     int no2 = Integer.parseInt(jTextField2.getText());
     int peso = Integer.parseInt(jTextField3.getText());
     grafo = (Grafo) p.m_grafo.get(curr_grafo);
     grafo.inserirRamo(grafo.m_listaRamos.size(), Color.black, peso, false,  no1, no2);
     operation = this.APPROVE_OPTION;
     dispose(); // Closes the dialog
  }

  void jButtonCancel_mouseClicked(MouseEvent e) {
     operation = this.CANCEL_OPTION;
     dispose(); // Closes the dialog
  }


}





